package com.jjt.emp.mapper;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.emp.domain.TwinEmpCalc;

/**
 * 员工产量统计Mapper接口
 *
 * @author wukai
 * @date 2025-01-18
 */
public interface TwinEmpCalcMapper extends BaseMapper<TwinEmpCalc>
{
    /**
     * 查询员工产量统计
     *
     * @param calcId 员工产量统计主键
     * @return 员工产量统计
     */
    public TwinEmpCalc selectTwinEmpCalcByCalcId(Long calcId);

    /**
     * 查询员工产量统计列表
     *
     * @param twinEmpCalc 员工产量统计
     * @return 员工产量统计集合
     */
    public List<TwinEmpCalc> selectTwinEmpCalcList(TwinEmpCalc twinEmpCalc);

    /**
     * 新增员工产量统计
     *
     * @param twinEmpCalc 员工产量统计
     * @return 结果
     */
    public int insertTwinEmpCalc(TwinEmpCalc twinEmpCalc);

    /**
     * 修改员工产量统计
     *
     * @param twinEmpCalc 员工产量统计
     * @return 结果
     */
    public int updateTwinEmpCalc(TwinEmpCalc twinEmpCalc);

    /**
     * 删除员工产量统计
     *
     * @param calcId 员工产量统计主键
     * @return 结果
     */
    public int deleteTwinEmpCalcByCalcId(Long calcId);

    /**
     * 批量删除员工产量统计
     *
     * @param calcIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinEmpCalcByCalcIds(Long[] calcIds);
    /**
     * 按日期删除
     *
     * @param date 日期
     */
    void deleteTwinEmpCalcByDate(Date date);

    List<TwinEmpCalc> selectTwinEmpCalcListByMonth(String month);
}
